/*
   Copyright Universite de Versailles Saint-Quentin en Yvelines 2009
   AUTHORS: Sebastien Briais, Sid Touati

   This file is part of RS.
   
   RS is free software: you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.
   
   RS is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with RS.  If not, see
   <http://www.gnu.org/licenses/>.
*/
#ifndef __RS_EXTK_H
#define __RS_EXTK_H
/** \file extk.h
    \brief Order induced by the DAG associated with a killing function */

#include <SCEDA/graph.h>
#include <SCEDA/hashmap.h>
#include <GDD/dag.h>

/** Build the order corresponding to the graph DAG associated with the
    given killing function. Vertices are labelled by vertices of the
    original DAG, while edges are unlabelled.

    @param[in] dag = acyclic DDG
    @param[in] type = type
    @param[in] pkg = potential killers graph
    @param[in] killing_map = killing function

    @return the order corresponding to the DAG associated with the
    given killing function */
SCEDA_Graph *RS_ddag_extk_order(GDD_DAG *dag, const char *type, SCEDA_Graph *pkg, SCEDA_HashMap *killing_map);

#endif
